<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical" >

    <View
        android:layout_width="match_parent"
        android:layout_height="1dip"
        android:background="#FF909090" >
    </View>

    <Button
        android:id="@+id/clk_quality_at_test_items"
        android:layout_height="wrap_content"
        android:layout_width="wrap_content"
        android:text="@string/clk_quality_at_test_items"
        android:textSize="16sp"
        android:layout_marginLeft="10dp" >
    </Button>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dip"
        android:background="#FF909090" >
    </View>

    <TextView
        android:layout_height="match_parent"
        android:layout_width="wrap_content"
        android:layout_marginLeft="10dp"
        android:text="@string/clk_quality_at_clock_type"
        android:textSize="16sp" >
    </TextView>

    <RadioGroup
        android:id="@+id/clk_quality_at_clock_type"
        android:layout_height="wrap_content"
        android:layout_width="match_parent"
        android:orientation="horizontal"
        android:checkedButton="@+id/clk_quality_at_clock_txco" >
        <RadioButton
            android:id="@id/clk_quality_at_clock_txco"
            android:text="@string/clk_quality_at_clock_type_tcxo"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:layout_width="0dp" />
        <RadioButton
            android:id="@+id/clk_quality_at_clock_co_tms"
            android:text="@string/clk_quality_at_clock_type_co_tms"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:layout_width="0dp" />
    </RadioGroup>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dip"
        android:background="#FF909090" >
    </View>

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:text="@string/clk_quality_at_test_modes"
        android:textSize="16sp" >
    </TextView>

    <RadioGroup
        android:id="@+id/clk_quality_at_test_modes"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal" >
        <RadioButton
            android:id="@+id/clk_quality_at_signal_mode"
            android:text="@string/clk_quality_at_signal_mode"
            android:layout_weight="1"
            android:layout_width="0dp"
            android:layout_height="wrap_content"/>
        <RadioButton
            android:id="@+id/clk_quality_at_cw_mode"
            android:text="@string/clk_quality_at_cw_mode"
            android:layout_weight="1"
            android:layout_width="0dp"
            android:layout_height="wrap_content"/>
    </RadioGroup>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dip"
        android:background="#FF909090" >
    </View>

    <LinearLayout
        android:layout_width="fill_parent"
        android:layout_height="wrap_content" >

        <TextView
            android:id="@+id/heating_time"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@string/clk_quality_at_heating_time">
        </TextView>
        <EditText
            android:id="@+id/heating_time_edit"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:inputType="number"
            android:singleLine="true">
        </EditText>
        <TextView
            android:id="@+id/cool_time"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@string/clk_quality_at_cool_time">
        </TextView>
        <EditText
            android:id="@+id/cool_time_edit"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:inputType="number"
            android:singleLine="true">
        </EditText>

    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dip"
        android:background="#FF909090" >
    </View>

    <LinearLayout
        android:layout_width="fill_parent"
        android:layout_height="wrap_content" >

        <Button
            android:id="@+id/clk_quality_at_start"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@string/clk_quality_at_start"
            android:onClick="onClick" >
        </Button>

        <Button
            android:id="@+id/clk_quality_at_stop"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@string/clk_quality_at_stop"
            android:onClick="onClick" >
        </Button>

    </LinearLayout>
    <TextView
            android:id="@+id/set_result"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/clk_quality_at_check_bit_fail">
    </TextView>
    <include layout="@layout/clk_quality_at_result_format" />
</LinearLayout>
